# vim: set ft=spec: -*- rpm-spec -*-
# vim600: set fdm=marker:
# $Id: vim,v 1.49 2004/08/03 13:23:21 raorn Exp $

# {{{ Perl/Python/Ruby/Tcl/MzScheme support
%def_enable perlinterp
%def_disable pythoninterp
%def_enable rubyinterp
%def_enable tclinterp
%def_disable mzschemeinterp
# }}}
# {{{ enable/disable logic
%def_enable gpm

%def_enable gui_athena
%def_enable gui_gtk
%def_enable gui_gtk2
%def_enable gui_motif
%def_enable gui_neXtaw

%global gui %nil
%if_enabled gui_athena
%global gui %gui athena
%endif
%if_enabled gui_gtk
%global gui %gui gtk
%endif
%if_enabled gui_gtk2
%global gui %gui gtk2
%endif
%if_enabled gui_motif
%global gui %gui motif
%endif
%if_enabled gui_neXtaw
%global gui %gui neXtaw
%endif

%if "%gui" != "%nil"
%def_enable gui_any
%endif
# }}}

Name: vim
%define major		6
%define minor		3
#define pre		b
%define mainver		%major.%minor
%define patchlevel	015
%define buildlevel	1

%define mzvim_version	0.560

Version: %major.%minor%{?patchlevel:%{?pre:.0}.%patchlevel}
Release: alt%{?pre:0.%buildlevel.%pre}%{!?pre:%buildlevel}
Serial: 4
Packager: Vim Development Team <vim@packages.altlinux.org>

%define builddir	vim%major%minor%{?pre:%pre}

Summary: VIsual editor iMproved
License: Charityware
Group: Editors
Url: http://www.vim.org

%add_findreq_skiplist %_datadir/vim/*

# Avoid rpm -rf $DOCDIR...
%define _customdocdir %_defaultdocdir/%name-common-%version

# {{{ RPM macros
%define _update_vimhelp_bin	%_bindir/update-vimhelp
%define update_vimhelp		[ "$1" = 1 -a -x %_update_vimhelp_bin ] && %_update_vimhelp_bin ||:
%define clean_vimhelp		[ -x %_update_vimhelp_bin ] && %_update_vimhelp_bin ||:

%define vim_runtime_dir %_datadir/vim/vimfiles
# }}}

# {{{ Sources
Source0: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/unix/%name-%mainver%{?pre:%pre}.tar.bz2
Source1: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/extra/%name-%mainver%{?pre:%pre}-lang.tar.gz
Source2: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/extra/%name-%mainver%{?pre:%pre}-extra.tar.gz
Source3: %name-%mainver-langmap.tar.bz2
Source4: %name-%mainver-langrc.tar.bz2
%ifdef patchlevel
Source5: %name-%mainver%{?pre:%pre}-official-patches-%patchlevel.tar.bz2
%endif
Source6: gvim.menu
Source7: %name-%mainver-system.vimrc
Source8: %name-%mainver-system.gvimrc

Source9: vim-enhanced.alternatives
Source10: vim-X11.alternatives

Source11: vim-X11-athena.alternatives
Source12: vim-X11-gtk.alternatives
Source13: vim-X11-gtk2.alternatives
Source14: vim-X11-motif.alternatives
Source15: vim-X11-neXtaw.alternatives

Source16: README.ALT-ru_RU.KOI8-R

%ifdef mzvim_version
# Tanx to ott...
Source17: http://iamphet.nm.ru/scheme/mzvim-%mzvim_version.tar.gz
%endif
# }}}

# {{{ Patches
Patch1: vimrc_hebrew.patch
Patch2: vim_vimrc.patch
Patch3: vim_gvimrc.patch
Patch4: vim-6.2-alt-perl56.patch
Patch5: vim-6.2-alt-spec-syntax.patch
Patch6: vim-6.0af-man-path.patch
Patch7: vim-6.0-Makefile.patch
Patch8: vim-6.0-langfont.patch
Patch9: vim6.1-alt-tmpdir.patch
Patch10: vim-6.3-alt-mutt-tempfile-filetype.patch
# }}}

# {{{ Patches for plugins
#Patch20: vim-6.3-alt-plug-std_c.patch
# }}}

# {{{ BuildRequires
# Automatically added by buildreq on Mon Apr 28 2003 and filtered by raorn
# Common requires
BuildPreReq: iconv
BuildPreReq: libacl-devel
BuildPreReq: libalternatives-devel
BuildPreReq: libattr-devel
BuildPreReq: libelf-devel
%if_enabled gpm
BuildPreReq: libgpm-devel
%endif
BuildPreReq: libtinfo-devel
BuildPreReq: unzip
# man commandline check
BuildPreReq: man
# ctags commandline check
BuildPreReq: ctags
%if_enabled gui_any
BuildPreReq: XFree86-devel
BuildPreReq: xpm-devel
%endif
# gtk+
%if_enabled gui_gtk
BuildPreReq: glib-devel
BuildPreReq: gtk+-devel
%endif
# gtk+2
%if_enabled gui_gtk2
BuildPreReq: glib2-devel
BuildPreReq: libatk-devel
BuildPreReq: libgtk+2-devel
BuildPreReq: libpango-devel
BuildPreReq: pkgconfig
%endif
# motif
%if_enabled gui_motif
BuildPreReq: openmotif-devel
%endif
# neXtaw
%if_enabled gui_neXtaw
BuildPreReq: libneXtaw-devel
%endif
# Perl
%if_enabled perlinterp
BuildPreReq: perl-devel
%endif
# Python
%if_enabled pythoninterp
BuildPreReq: python-devel
%endif
# Ruby
%if_enabled rubyinterp
BuildPreReq: libruby-devel >= 1.8
BuildPreReq: ruby >= 1.8
%endif
# Tcl
%if_enabled tclinterp
BuildPreReq: tcl-devel
%endif
%if_enabled mzschemeinterp
BuildPreReq: plt2
%endif
# }}}

# {{{ Description
%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

%description -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..
# }}}

# {{{ vim-common
%package common
Summary: The common files needed by any version of the VIM editor
Summary(ru_RU.KOI8-R):     VIM 
Group: Editors
PreReq: alternatives >= 0.0.6
PreReq: coreutils
PreReq: vim
PreReq: %_bindir/vim
Requires: mktemp >= 1:1.3.1
Conflicts: vim-minimal < %serial:%version-%release
Conflicts: vim-minimal > %serial:%version-%release

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

If you are installing any version of the VIM editor, you'll also need to
the vim-common package installed.

%description common -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

 common  ,     
  VIM .   ,   
vim-enhanced  vim-X11.
# }}}
# {{{ vim-minimal
%package minimal
Summary: A minimal version of the VIM editor
Summary(ru_RU.KOI8-R): VIM    
Group: Editors
PreReq: coreutils
Provides: vi = %serial:%version-%release
Provides: /bin/vi

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-minimal package
includes a minimal version of VIM, which is installed into /bin/vi for use
when only the root partition is present.

Just install it because you'll need it.

%description minimal -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

    - .     
VIM,   /bin, , ,  .  , 
        VIM.
# }}}
# {{{ vim-enhanced
%package enhanced
Summary: A terminal-based, full-featured version of the VIM editor
Summary(ru_RU.KOI8-R):   VIM    
Group: Editors
PreReq: coreutils
Requires: vim-common = %serial:%version-%release
Provides: vim = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-enhanced package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a full-featured
VIM, but you don't use X11 or don't want to use GUI version of VIM.
You'll also need to install the vim-common package.

%description enhanced -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

  ,      VIM 
 ; ,    X11.  
  vim-common.
# }}}
# {{{ vim-X11
%if_enabled gui_any
%package X11
Summary: A full version of VIM editor, including GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
PreReq: vim-X11-gui
Requires: vim-common = %serial:%version-%release
Provides: vim = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 interface.  You'll also need to install the vim-common
package.

%description X11 -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.
%endif
# }}}
# {{{ vim-X11-athena
%if_enabled gui_athena
%package X11-athena
Summary: A full version of VIM editor, including Xaw GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (Xaw )
Group: Editors
PreReq: coreutils
Requires: vim-X11 = %serial:%version-%release
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-athena
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Xaw interface.  You'll also need to install the vim-X11
package.

%description X11-athena -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        Xaw.
%endif
# }}}
# {{{ vim-X11-gtk
%if_enabled gui_gtk
%package X11-gtk
Summary: A full version of VIM editor, including gtk+ GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (gtk+ )
Group: Editors
PreReq: coreutils
Requires: gtk+ >= 1.2.3
Requires: vim-X11 = %serial:%version-%release
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-gtk
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 gtk+ interface.  You'll also need to install the vim-X11
package.

%description X11-gtk -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        gtk+.
%endif
# }}}
# {{{ vim-X11-gtk2
%if_enabled gui_gtk2
%package X11-gtk2
Summary: A full version of VIM editor, including gtk+2 GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (gtk+2 )
Group: Editors
PreReq: coreutils
Requires: libgtk+2 >= 2.0
Requires: vim-X11 = %serial:%version-%release
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-gtk2
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 gtk+2 interface.  You'll also need to install the vim-X11
package.

%description X11-gtk2 -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        gtk+2.
%endif
# }}}
# {{{ vim-X11-motif
%if_enabled gui_motif
%package X11-motif
Summary: A full version of VIM editor, including Motif GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (Motif )
Group: Editors
PreReq: coreutils
Requires: vim-X11 = %serial:%version-%release
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-motif
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Motif interface.  You'll also need to install the vim-X11
package.

%description X11-motif -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

       Motif.
%endif
# }}}
# {{{ vim-X11-neXtaw
%if_enabled gui_neXtaw
%package X11-neXtaw
Summary: A full version of VIM editor, including neXtaw GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (neXtaw )
Group: Editors
PreReq: coreutils
Requires: vim-X11 = %serial:%version-%release
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-neXtaw
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 neXtaw interface.  You'll also need to install the vim-X11
package.

%description X11-neXtaw -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        neXtaw.
%endif
# }}}
# {{{ vim-devel
%package devel
Summary: RPM macros needed to build additional VIM plugin packages
Summary(ru_RU.KOI8-R):  RPM        VIM
Group: Development/Other
Requires: vim-common = %serial:%version-%release
PreReq: /etc/rpm/macros.d

%description devel
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

This package contains RPM macros needed to build additional VIM plugin
packages.

%description devel -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

    RPM      
  VIM.
# }}}

# {{{ prep section
%prep
%setup -q -b1 -b2 -a3 -a4 %{?patchlevel:-a5} %{?mzvim_version:-a 17} -n %builddir
%ifdef patchlevel
(for i in official-patches/%{mainver}%{?pre:%pre}.*; do
   %__patch -p0 <$i || exit 1
 done)
%endif

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

# {{{ MzScheme support
%ifdef mzvim_version
%__patch -p0 < mzvim
%if_enabled mzschemeinterp
%__mv mzvim.README README_mzscheme.txt
%endif
%endif
# }}}

# Load (g)vimrc file(s) from %_sysconfdir
%__subst 's|^.*#define[[:blank:]]\+SYS_VIMRC_FILE[[:blank:]]\+.*$|#define SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/feature.h
%__subst 's|^.*#define[[:blank:]]\+SYS_GVIMRC_FILE[[:blank:]]\+.*$|#define SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/feature.h
# drop tcl search madness
%__subst 's|\(^.\+tclloc=\).\+$|\1%prefix|' src/auto/configure
# Fix Ruby 1.8 compatibility issue -- already applied to VIM CVS (patch 6.2.066)
#__subst 's|rb_defout|rb_stdout|' src/if_ruby.c

# {{{2 features
# +xterm_save
%__subst 's|^.*#define[[:blank:]]\+FEAT_XTERM_SAVE[[:blank:]]\+.*$|#define FEAT_XTERM_SAVE 1|' src/feature.h
# 2}}}

%__cp -p %SOURCE16 .
# }}}
# {{{ build section
%build
PLTHOME=%_libdir/plt2; export PLTHOME
# minimal
%configure \
	--exec-prefix=/ \
	--with-features=tiny \
	--with-x=no \
	--enable-gui=no \
	--disable-gpm \
	--with-tlib=tinfo \
	--with-compiledby="%packager" \
	#

%make_build -C src
%__mv src/vim vim-minimal

common_opts="--with-features=huge \
	--enable-cscope \
	%{subst_enable perlinterp} \
	%{subst_enable pythoninterp} \
	%{subst_enable rubyinterp} \
	%{subst_enable tclinterp} \
	%{subst_enable mzschemeinterp} \
	%{subst_enable gpm} \
	--with-global-runtime=%vim_runtime_dir \
	--with-tlib=tinfo"

# full without GUI
%make_build -C src clean
%configure \
	$common_opts \
	--with-x=no \
	--enable-gui=no \
	--with-compiledby="%packager" \
	#
%make_build -C src
%__mv src/vim vim-enhanced

%if_enabled gui_any
# full version with GUI
for gui in %{gui}; do
%make_build -C src clean
%configure \
	$common_opts \
	--with-x=yes \
	--enable-gui=$gui \
	--enable-multibyte \
	--enable-xim \
	--enable-fontset \
	--enable-xsmp \
	--with-compiledby="%packager" \
	#
%make_build -C src
%__mv src/vim vim-$gui
done
%endif
# }}}
# {{{ install section
%install
%__mkdir_p %buildroot{%_altdir,%_sysconfdir/{vim,rpm/macros.d},/bin,%_bindir,%_man1dir,%_datadir/vim/bitmaps,%_datadir/vim/ftdetect,%_datadir/vim/langmap,%_datadir/vim/langrc,%_customdocdir}
# {{{2 make install
%make_install install DESTDIR=%buildroot -C src

# Where is our baby?..
%__rm -f %buildroot%_bindir/vim

# Install the minimal version into the /bin
%__install -p -m755 vim-minimal %buildroot/bin/vi
%strip_executable -p -g %buildroot/bin/vi

# ... Here it is!
for gui in enhanced %{gui}; do
	%__install -p -m755 vim-$gui %buildroot%_bindir/vim-$gui
	%strip_executable -p -g %buildroot%_bindir/vim-$gui
done
# 2}}}
# {{{2 Set up links for minimal and gui versions
for i in ex rvi rview ; do
	%__ln_s -f vi "%buildroot/bin/$i"
done

%if_enabled gui_any
for i in evim eview gview gvim gvimdiff rgview rgvim ; do
	%__ln_s -f vim-X11 "%buildroot%_bindir/$i"
done
%endif

%__ln_s -f vim.1 %buildroot%_man1dir/vi.1                                                                                                             
%__ln_s -f vim.1 %buildroot%_man1dir/rvi.1                                                                                                            
# 2}}}
# {{{2 Install documentation
#__rm -f %buildroot%_datadir/vim/doc/tags
%__mv -f %buildroot%_datadir/vim/doc %buildroot%_customdocdir
%__ln_s -f ../doc/%name-common-%version/doc %buildroot%_datadir/vim
# 2}}}

%__install -p -m644 %SOURCE7 %buildroot%_sysconfdir/vim/vimrc
%__install -p -m644 %SOURCE8 %buildroot%_sysconfdir/vim/gvimrc
%__install -p -m644 vimrc_hebrew %buildroot%_datadir/vim

pushd %buildroot%_datadir/vim/tools
    # i need to make a choice :(.
    %__subst 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
    %__subst 's,#!/bin/csh.*.*,#!/bin/sh,' vim132
    %__chmod a-x vimspell* ref*
popd

# {{{2 post-install cleanup
find %buildroot%_datadir/vim \( -name '*.info' -o -name 'README.txt' \) -print0 |
	xargs -r0 %__rm -f --

for i in colors compiler ftplugin indent keymap lang macros plugin syntax tools; do
    %__cp -f runtime/$i/README.txt README_$i.txt
done
# 2}}}

# {{{2 Create RPM macros and runtime dirs in buildroot
%__mkdir_p %buildroot%vim_runtime_dir
%__cat <<EOF >%buildroot%_sysconfdir/rpm/macros.d/vim
# Global runtime
%%vim_dir	%%_datadir/vim
%%vim_runtime_dir	%%vim_dir/vimfiles

# Additional dirs in global runtime
EOF
for d in after bitmaps colors compiler doc ftdetect ftplugin indent keymap lang plugin print syntax ; do
    %__mkdir_p %buildroot%vim_runtime_dir/$d
    %__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim
%%vim_${d}_dir	%%vim_runtime_dir/$d
EOF
done
%__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim

# "after" dirs in global runtime
EOF
for d in compiler ftplugin indent plugin syntax ; do
    %__mkdir_p %buildroot%vim_runtime_dir/after/$d
    %__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim
%%vim_after_${d}_dir	%%vim_after_dir/$d
EOF
done
%__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim

%%vim_script_url() http://www.vim.org/scripts/script.php?script_id=%%1%%nil

# post-install commands
%%_update_vimhelp_bin	%%_bindir/update-vimhelp
%%update_vimhelp	[ "\$1" = 1 -a -x %%_update_vimhelp_bin ] && %%_update_vimhelp_bin ||:
%%clean_vimhelp		[ -x %%_update_vimhelp_bin ] && %%_update_vimhelp_bin ||:
EOF

touch %buildroot%vim_runtime_dir/doc/tags
# 2}}}
# {{{2 update-vimhelp script
%__cat <<EOF >%buildroot%_bindir/update-vimhelp
#! /bin/sh

VIM=%_bindir/vim
DOCDIR=

[ -x "\$VIM" ] || exit 1

if [ -n "\$1" ]; then
  if [ -d "\$1" -a -w "\$1" ]; then
    DOCDIR="\$1"
  fi
else
  if [ -d %vim_runtime_dir/doc -a -w %vim_runtime_dir/doc ]; then
    DOCDIR="%vim_runtime_dir/doc"
  elif [ -d "\$HOME/.vim/doc" -a -w "\$HOME/.vim/doc" ]; then
    DOCDIR="\$HOME/.vim/doc"
  fi
fi

[ -n "\$DOCDIR" ] || exit 1

echo ":helptags \$DOCDIR" | \$VIM -E -s -X -N -n -i NONE -u NONE -U NONE ||:
EOF

%__chmod 755 %buildroot%_bindir/update-vimhelp
# 2}}}
# {{{2 Install the three icons
%if_enabled gui_any
%__install -p -m644 -D runtime/vim16x16.xpm %buildroot%_miconsdir/gvim.xpm
%__install -p -m644 -D runtime/vim32x32.xpm %buildroot%_iconsdir/gvim.xpm
%__install -p -m644 -D runtime/vim48x48.xpm %buildroot%_liconsdir/gvim.xpm
%endif
# 2}}}
# {{{2 Install menu
%if_enabled gui_any
%__install -p -m644 -D %SOURCE6 %buildroot%_menudir/vim-X11
%endif
# 2}}}
# {{{2 Install alternatives files
%__install -p -m644 %SOURCE9  %buildroot%_altdir/vim-enhanced
%if_enabled gui_any
%__install -p -m644 %SOURCE10 %buildroot%_altdir/vim-X11

%__install -p -m644 %SOURCE11 %buildroot%_altdir/vim-X11-athena
%__install -p -m644 %SOURCE12 %buildroot%_altdir/vim-X11-gtk
%__install -p -m644 %SOURCE13 %buildroot%_altdir/vim-X11-gtk2
%__install -p -m644 %SOURCE14 %buildroot%_altdir/vim-X11-motif
%__install -p -m644 %SOURCE15 %buildroot%_altdir/vim-X11-neXtaw
%endif
# 2}}}
# {{{2 Language-specific parts
%find_lang vim
%__install -p -m644 runtime/langrc/* %buildroot%_datadir/vim/langrc
%__install -p -m644 runtime/langmap/*.vim %buildroot%_datadir/vim/langmap
# 2}}}
# }}}

# {{{ triggers
%triggerpostun minimal -- vim-minimal < 6.0.118
[ $2 -gt 0 ] || exit 0
[ -e %_bindir/vi -a -h %_bindir/vi ] && %__rm -f %_bindir/vi ||:

%triggerpostun enhanced -- vim-enhanced < 3:6.1.82-alt7
%register_alternatives vim-enhanced -- vim

%if_enabled gui_any
%triggerpostun X11 -- vim-X11 < 3:6.1.82-alt7, vim-enhanced < 3:6.1.82-alt7
%register_alternatives vim-X11 -- vim
%update_menus

%triggerpostun X11 -- vim-X11 < 3:6.1.126-alt8
%register_alternatives vim-X11 -- vim

%triggerpostun X11 -- vim-common <= 4:6.2.021-alt2
%unregister_alternatives_always vim
%register_alternatives vim-X11 -- vim
%endif

%if_enabled gui_gtk
%triggerpostun X11-gtk -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-gtk -- vim-X11
%endif

%if_enabled gui_gtk2
%triggerpostun X11-gtk2 -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-gtk2 -- vim-X11
%endif

%if_enabled gui_motif
%triggerpostun X11-motif -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-motif -- vim-X11
%endif

%if_enabled gui_athena
%triggerpostun X11-athena -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-athena -- vim-X11
%endif

%if_enabled gui_neXtaw
%triggerpostun X11-neXtaw -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-neXtaw -- vim-X11
%endif

%triggerpostun enhanced -- vim-common <= 4:6.2.021-alt2
%unregister_alternatives_always vim
%register_alternatives vim-enhanced -- vim

%triggerpostun common -- vim-common <= 4:6.2.135-alt2
%clean_vimhelp
# }}}
# {{{ pre/post install scripts
# remove addon tags before uninstall
%preun common
[ "$1" = 0 ] && %__rm -f -- %vim_runtime_dir/doc/tags ||:

%post common
%update_vimhelp

%postun common
%clean_vimhelp

# menus and alternatives
%post enhanced
%register_alternatives vim-enhanced -- vim

%preun enhanced
%unregister_alternatives vim-enhanced

%if_enabled gui_any
%post X11
%update_menus
%register_alternatives vim-X11 -- vim

%preun X11
%clean_menus
%unregister_alternatives vim-X11
%endif

%if_enabled gui_gtk
%post X11-gtk
%register_alternatives vim-X11-gtk -- vim-X11

%preun X11-gtk
%unregister_alternatives vim-X11-gtk
%endif

%if_enabled gui_gtk2
%post X11-gtk2
%register_alternatives vim-X11-gtk2 -- vim-X11

%preun X11-gtk2
%unregister_alternatives vim-X11-gtk2
%endif

%if_enabled gui_motif
%post X11-motif
%register_alternatives vim-X11-motif -- vim-X11

%preun X11-motif
%unregister_alternatives vim-X11-motif
%endif

%if_enabled gui_athena
%post X11-athena
%register_alternatives vim-X11-athena -- vim-X11

%preun X11-athena
%unregister_alternatives vim-X11-athena
%endif

%if_enabled gui_neXtaw
%post X11-neXtaw
%register_alternatives vim-X11-neXtaw -- vim-X11

%preun X11-neXtaw
%unregister_alternatives vim-X11-neXtaw
%endif
# }}}

# {{{ vim-common files
%files common -f vim.lang
%doc README*.txt runtime/gvimrc_example.vim runtime/bugreport.vim
%doc runtime/menu.vim runtime/mswin.vim
%doc runtime/termcap runtime/tutor runtime/vimrc_example.vim vimrc_hebrew
%doc README.ALT-ru_RU.KOI8-R
#doc %_customdocdir/doc

%dir %_sysconfdir/vim
%config(noreplace) %_sysconfdir/vim/vimrc
%config(noreplace) %_sysconfdir/vim/gvimrc
%_datadir/vim
%exclude %vim_runtime_dir/doc/tags
%ghost %verify(not md5 size mtime) %config(missingok) %vim_runtime_dir/doc/tags
%_man1dir/*
%_bindir/ex
%_bindir/view
%_bindir/rvim
%_bindir/rview
%_bindir/vimdiff
%_bindir/vimtutor
%_bindir/xxd
%_bindir/update-vimhelp
# }}}
# {{{ vim-devel files
%files devel
%_sysconfdir/rpm/macros.d/vim
# }}}
# {{{ vim-minimal files
%files minimal
/bin/*
# }}}
# {{{ vim-enhanced files
%files enhanced
%_altdir/vim-enhanced
%_bindir/vim-enhanced
# }}}
# {{{ vim-X11 files
%if_enabled gui_any
%files X11
%_altdir/vim-X11
%_bindir/evim
%_bindir/eview
%_bindir/gvim
%_bindir/gview
%_bindir/gvimdiff
%_bindir/rgvim
%_bindir/rgview
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_menudir/vim-X11
%endif
# }}}
# {{{ vim-X11-athena files
%if_enabled gui_any
%files X11-athena
%_altdir/vim-X11-athena
%_bindir/vim-athena
%endif
# }}}
# {{{ vim-X11-gtk files
%if_enabled gui_any
%files X11-gtk
%_altdir/vim-X11-gtk
%_bindir/vim-gtk
%endif
# }}}
# {{{ vim-X11-gtk2 files
%if_enabled gui_any
%files X11-gtk2
%_altdir/vim-X11-gtk2
%_bindir/vim-gtk2
%endif
# }}}
# {{{ vim-X11-motif files
%if_enabled gui_any
%files X11-motif
%_altdir/vim-X11-motif
%_bindir/vim-motif
%endif
# }}}
# {{{ vim-X11-neXtaw files
%if_enabled gui_any
%files X11-neXtaw
%_altdir/vim-X11-neXtaw
%_bindir/vim-neXtaw
%endif
# }}}

# {{{ changelog
%changelog
* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.015-alt1
- Official patches (015)
- Always update help tags - do not test help files presence

* Mon Jul 12 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.013-alt1
- Official patches (013)

* Thu Jun 24 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.007-alt1
- [6.3]
- Official patches (007)
- MzVim (0.560)
- Removed patches (merged upstream):
  + alt-spec-filetype-fixes.patch
  + alt-cp1251-tutor.patch
  + ruvim
- Fixed requires (mktemp >= 1:1.3.1 should be in vim-common)
- Changed global runtime dir from %_sysconfdir/vim to
  %datadir/vim/vimfiles (this does not affect $VIMRUNTIME)
- Enabled +xterm_save
- Removed std_c syntax (now in vim-plugin-std_c-syntax)
- Removed vim-ruby plugin (now in vim-plugin-vimruby)
- Added README.ALT

* Mon Jun 07 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.532-alt1.1
- Fix gvim's menu entry (re-closes #3979)
- Disabled pythoninterp (*evil grin*)

* Thu May 06 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.532-alt1
- Official patches (532)
- MzVim (0.540)
- Always apply MzVim patch (scheme ftplugin and syntax updates)

* Tue Apr 27 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.506-alt1
- Official patches (506)
- MzVim temporary disabled due to glibc 2.3 migration
- Patch16 removed (fixed in upstream)

* Thu Apr 22 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.490-alt1
- Official patches (490)
- MzVim (0.530)
- eview, evim, gview, gvim, gvimdiff, rgview and rgvim are now
  symlinks to vim-X11, /usr/X11R6/bin/* removed (closes #3979)

* Fri Apr 09 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.461-alt1
- Official patches (461)
- MzVim (0.520)

* Sun Apr 04 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.442-alt1
- Official patches (442)
- Enabled perlinterp (due to official patch 233)

* Thu Mar 11 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.339-alt1
- Official patches (339)
- MzVim disabled (out of sync with upstream)

* Fri Mar 05 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.318-alt1
- Official patches (318)
- MzVim 0.201

* Wed Mar 03 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.311-alt1
- Official patches (311)
- MzVim 0.200 (disabled for now)

* Mon Feb 09 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.246-alt1
- Official patches (246)
- Fixed spec filetype plugin
- Added MzScheme support (Daedalus build only)

* Fri Nov 21 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.154-alt2
- Added russian translations (thanx to drF_ckoff)

* Mon Nov 17 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.154-alt1
- Official patches (154)

* Mon Nov 10 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.144-alt2
- Rebuild with openmotif (vim-X11-motif)

* Sun Nov 02 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.144-alt1
- Official patches (144)
- Fixed macros highlight in spec syntax
- %%update_vimhelp/%%clean_vimhelp reviewed:
  update-vimhelp is started:
  + after new package installation (not upgrade)
  + after old package removal (upgrade or remove)
- Updated patches:
  + alt-perl56 (due to official patch 139)

* Tue Oct 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.135-alt2
- vim-ruby's doc already in syntax.txt

* Mon Oct 27 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.135-alt1
- Official patches (135)
- Updated ruby compiler/ftplugin/indent/syntax (tarball from
  http://vim-ruby.rubyforge.org was repacked by raorn - DOS-like
  EOLs and +x attrs on scripts)
- Updated spec syntax
- enable/disable'd gpm support

* Mon Oct 13 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.117-alt1
- Official patches (117)
- Bring back <S-Insert> mappings to system gvimrc (recloses #2283)
  mswin.vim users should unmap it in their .gvimrc
- Removed patches:
  + alt-cp1251-support (merged upstream)
- enable/disable logic for gui variants (still always build minimal and enhanced)
- Treat %%global as %%define in spec syntax

* Tue Sep 30 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.106-alt1
- Official patches (106)
- Fixed typo in cp1251-tutor patch
- Recognize cp1251 encoding (closes #3077)
- Mappings to <S-Insert> removed from system gvimrc due to
  conflict with mswin.vim (closes #2283)

* Sun Sep 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.098-alt1
- Official patches (098)
- More updates to spec syntax
- Fix tutor in CP1251 locale (closes #0001810)

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.072-alt1
- Official patches (072)
- Fixed triggers
- Updates spec syntax

* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 4:6.2.021-alt2
- Rebuild against Ruby 1.8.0

* Mon Jul 09 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.021-alt1
- Official patches (021)
- Removed patches (merged upstream):
  + alt-WANT_X11
- More README's to %%doc
- Cleanup $VIMRUNTIME (removed unneeded README's and Amiga icons)
- Removed all plugins (except std_c, script #234)
- Added update-vimhelp script to update help tags.
  Works both, for user updates ~/.vim/doc, for superuser
  updates $VIMRUNTIME/doc
- Reversed dependencies for common -> {enhanced,X11 -> X11-gui}
  to be sure that %_bindir/vim exists in common's postinstall
  script (needed for update_vimhelp)
- devel subpackage
- Set guifont to "Andale Mono 11" for gtk+2 version (voins)
- Detect right filetype for mutt >= 1.4i temporary files

* Sun Jun 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.014-alt2
- Added some fold markers to specfile ;-)
- XSMP enabled (once again!)
- Do not blindly copy runtime/doc to docdir, but use make 
  install'ed files
- Added some useful plugins from http://vim.sf.net:
  + Align (script #294)
  + bufexplorer (script #42)
  + cvcommand (script #90)
  + genutils.vim (script #197)
  + matchit (script #39)
  + multvals.vim (script #171)
  + SearchComplete (script #147)
  + selectbuf (script #107)
  + showmarks (script #152)
  + std_c (script #234) (add "let c_use_stdc=1" in your .vimrc to enable)
  + taglist (script #273)
  + winmanager (script #95)

* Fri Jun 06 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.014-alt1
- Official patches (014)
- XSMP temporary disabled

* Wed Jun 04 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.011-alt1
- [6.2]
- Official patches (011)
- Updated rpmspec syntax
- Enabled XSMP (autodetection was b0rken in upstream)

* Tue May 27 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.4.f
- [6.2f]

* Mon May 19 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.3.e
- [6.2e]
- Force cscope (it is enabled in unix+feat_big, but who knows?)

* Thu May 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.2.c
- [6.2c]

* Mon Apr 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.1.b
- [6.2b]
- BuildRequires update
- GTK+2 target
- Disabled perlinterp (threaded perl disabled in upstream)
- vim-minimal provides /bin/vi

* Sat Apr 26 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.474-alt18.1
- Fix uk translation

* Fri Apr 25 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.474-alt18
- Official-patches (474)
- Removed version from vim-X11-gui Requires (looks like it confuses apt)
- Reenabled libacl in vim-minimal (suggested by ab)
- Changed "set modelines=0" to "set nomodeline" in system vimrc
  Removed "set modelines=0" from system gvimrc (already disabled in vimrc)
- Fixed (and applied ;-) Patch13

* Thu Apr 10 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt17.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt17
- PreReq fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt16
- moved to new alternatives scheme
- warning to maintainer: added missing PreReq on update-alternatives

* Wed Jan 08 2003 Dmitry V. Levin <ldv@altlinux.org> 4:6.1.280-alt15
- Disabled modelines again.
- Reenabled perlinterp.
- Fixed interpackage dependencies again.
- Avoid autodependencies for files in /usr/share/vim/.

* Wed Jan 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.280-alt14
- Official patches (280)
- modeline's are back due to official patch 265

* Sat Dec 21 2002 Sir Raorn <raorn@altlinux.ru> 4:6.1.263-alt13
- Official patches (263)
- Fix vim-X11's obsoletes
- Remove libacl from vim-minimal's requires (closes #0001586)
- All interp's are now configurable via rpmbuild --enable/--disable
- Fixed provides for alternatives
- Buildrequires updated (honor --enable/--disable args to rpmbuld)

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.178-alt12
- temporary removed perlinterp (ldv request)
- disable modelines
- remove deps on csh
- fix tmpdir creation
- remove deps on ispell

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.178-alt11
- Rebuilt with perl-5.8.

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3:6.1.178-alt10
- rebuilt with tcl 8.4

* Tue Sep 17 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.178-alt9
- Official patches (178)
- Fixed build with new rpm (thanx to inger)
- System-wide configs are back again ("light" version, thanx to SA)
  Now located in /etc/vim/*vimrc and made %%config(noreplace)
- All %%__perl's replaced with %%__subst's
- Added (experimental) ru_RU.UTF-8 langrc

* Mon Sep 09 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.174-alt8
- Official patches (174)
- Fixed %%preun X11 script
  Fixed %%triggerpostun X11 script (closes #0001073)
- neXtaw GUI support
- Build all vesions of GUI (gtk+, motif, athena, neXtaw)
- Built with tcl and ruby (closes #0000395)
- Removed default g?vimrc from $VIMRUNTIME
  (they're still available as g?vimrc_example.vim)
- Fixed .m-files sysntax autodetection (closes #0000702)
- Spec cleanup

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt7
- Fixed %%triggerpostun scripts again.

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt6
- Linked with libtinfo.
- Updated buildrequires and interpackage dependencies.
- Fixed %%post/%%preun/%%postun/%%triggerpostun scripts.

* Mon Jun  3 2002 SA <sa@altlinux.ru> 6.1.82-alt5/3
- pathces
- removed triggerpostun
- removed vim from files section (will be a link, produced by alternatives)

* Mon Mar 25 2002 SA <sa@altlinux.ru> 6.1.0-alt5/3
- new release
- removed clipboard patch (use $ vim -X instead)
- evim included in distribution (practically useless thing...)

* Mon Mar 11 2002 SA <sa@altlinux.ru> 6.1b
- new pre-release 6.1b

* Wed Feb 27 2002 SA <sa@altlinux.ru> 6.1a.008
- new pre-release

* Thu Jan  3 2002 SA <sa@altlinux.ru> 6.0.101-alt3
- triggerpostun

* Sun Dec 23 2001 SA <sa@altlinux.ru> 6.0.101-alt2
- patchlevel 101
- incorporated many ideas by Alexey Morozov <morozov@novosoft.ru>
  (the most important are treating official patches as 'source' and
  use of 'alternatives')
- gui font loading is now based on $LANG (new directory 
  runtime/langrc is introduced for this).
- changed numbering of package
- removed vi from /usr/bin, since we have it in /bin anyway

* Fri Nov 30 2001 SA <sa@altlinux.ru> 6.0-alt1.93
- patchlevel 93

* Sun Oct 28 2001 SA <sa@altlinux.ru> 6.0-alt1.26
- patchlevel 26

* Wed Sep 19 2001 SA <sa@altlinux.ru> 6.0-alt0.8.aw
- 6.0aw

* Tue Sep 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.8.au
- 6.0au

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.7.as
- 6.0as

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.ar
- 6.0ar

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.aq
- 6.0aq
- Rebuilt with new perl.

* Tue Jul  3 2001 SA <sa@altlinux.ru> 6.0-alt0.5.am
- 6.0am
- removed unnecessary patches 

* Tue Jun 16 2001 SA <sa@altlinux.ru> 6.0-alt0.4.ah
- Fixed slow startup of /usr/bin/vim from X11 package when
  run from remote xterm or if $DISPLAY is broken:
  1. FEAT_XCLIPBOARD (used in terminal vim) is switched off
  (in feature.h)
  2. 'title' and 'icon' features are switched off in vimrc and
  switched on back in gvimrc.
- spec.vim fixed again 

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.3.ah
- Fixed errors in %%post/%%preun introduced in alt0.1.ah.
- Specfile cleanup again (policy enforcement).

* Sat Jun 9 2001 SA <sermar@mail.ru> 6.0-alt0.2ah
- fixed langmap call in vimrc
- removed link to /usr/bin/view
- spec-syntax changed to highlight ALT macros

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.1.ah
- 6.0ah
- Changed release scheme; set serial to enable upgrading.
- Minor specfile cleanup (hope nothing have been broken).
- Regenerated spec-mode-update patch (requires checking).
- Recompressed sources and pacthes.

* Wed May 9 2001 SA <sermar@mail.ru>
- 6.0ae
- removed obsolete patches and patches that changed run-time options by
  changing source (system-wide vimrc is a better place)
- changed installation procedure: now it uses VIM Makefile 'install' target
- 'X11' (==gvim) if installed will be symlinked to {vi,vim, etc...}, so user
  will not need 'vim-enhanced' to use terminal-based VIM. 'enhanced' and 'X11'
  are made 'conflicting'

* Sat Dec 23 2000 AEN <aen@logic.ru>
- adopted for RE
- 6.0q
- perl include path fixed

* Wed Dec 13 2000 DindinX <odin@mandrakesoft.com> 6.0-0.07mdk
- 6.0p

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 6.0-0.06mdk
- 6.0o

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.05mdk
- really set CFLAGS to RPM_OPT_FLAGS (should make Dadou happier)
  (thanks to Guillaume)

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.04mdk
- fix ./configure call (--enable-max-feature is now --with-features=huge)
- include some fix in spec.vim from Geoffrey Lee

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.03mdk
- 6.0n.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.02mdk
- Upgrade spec.vim and mandrakizifications.

* Tue Nov  7 2000 DindinX <odin@mandrakesoft.com> 6.0-0.01mdk
- 6.0
- remove ctags from this package

* Tue Sep 19 2000 DindinX <odin@mandrakesoft.com> 5.7-7mdk
- Added a patch to fix the paths in the man pages
  (Thx to Jerome Dumonteil for reporting this)

* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 5.7-6mdk
- Rebuild on ke
- Macrozifications
- BM

* Tue Jun 27 2000 DindinX <odin@mandrakesoft.com> 5.7-5mdk
- really fix the help files
- now vi is very spartiate (VI-like) and vim has syntax highlighting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-4mdk
- make vim-minimal very, very minimal

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-3mdk
- fix a typo which prevent the help files to be found
- remove syntax highlighting by default
- remove all trace of indenting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-2mdk
- Corrected the ctags version: 3.5.1

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-1mdk
- 5.7
- use a more standard vimrc file

* Thu May 25 2000 DindinX <odin@mandrakesoft.com> 5.6-19mdk
- Upgrade to 5.6.072
- remove autoindentation :(

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 5.6-18mdk
- wrap option now defaults to FALSE

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 5.6-17mdk
- remove menu icon path

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 5.6-16mdk
- fix for perl 5.6
- fix for ctags (i modified patch vim-typo)
- rebuild on true compile box (*with* spec-helper)
- remove abusive provides ctags (not needed)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-15mdk
- Fix the online documentation

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-14mdk
- Make a separate rpm for ctags

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 5.6-13mdk
- fix the name of the menu entry
- remove etags
- move ctags from /bin to /usr/bin
- Added the ctags man page

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-12mdk
- Do the Right Thing for the menus with the help of
  Guillaume Cottenceau

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-11mdk
- Fix the menu group once again (sic)
  Thanks to Guillaume Cottenceau

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-10mdk
- Added icons

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-9mdk
- fix menu

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 5.6-8mdk
- remove the RPM_ROOT_BUILD references in %post
  (thanks to Thierry Vignaud for pointing this)
- some changes to the default vimrc

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 5.6-7mdk
- add provides vim for X11 enhanced and minimal
- changed license from freeware to OpenSource

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 5.6-6mdk
- Specs fixes
- removed absolute links
- Added menu entry
- Remove the hlsearch by default (cause it might be puzzling)

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-5mdk
- Finally include ctags in vim-common :-/

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-4mdk
- fix a typo in the call to the ./configure script so more features
  are now enabled.

* Sun Feb  6 2000 DindinX <odin@mandrakesoft.com> 5.6-3mdk
- Added support for Chinese/Japanese/Corean support for gvim
  (Thanks to Pablo)
- added a link for the default vimrc.

* Mon Jan 31 2000 DindinX <odin@mandrakesoft.com> 5.6-2mdk
- Added the doc/ subdirectory in /usr/doc/vim-common-5.6/doc
- Correctly install vimrc_hebrew

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.6-1mdk
- 5.6.
- Enable right to left mode.
- Add vimrc_hebrew from Tzafrir Cohen <tzafrir@technion.ac.il>

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.5.

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting old patch.

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file for Mandrake distribution.

# }}}
# end of file

